/*
 * EmpiezaCeroDependienteDep.java
 *
 * Created on 9 de abril de 2007, 06:07 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Jsolano
 */
public class EmpiezaCeroDependienteDep extends AbstractRule {

	/** Creates a new instance of CampoVacio */
	public EmpiezaCeroDependienteDep() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {
			String otroCampo = registro[new Integer((String) getParams()[2])
					.intValue()];
			if (otroCampo.equals(getParams()[3])) {
				if (field.length() > 0)
					if (field.charAt(0) == ('0')) {
						return true;
					}
			}

		}
		return false;
	}
}
